﻿

body {
    padding-top: 50px;
    padding-bottom: 20px;    
    /* Margin bottom by footer height */
    margin-bottom: 28px;
}

body.homeIndex {
    padding-top: 110px;
    padding-bottom: 20px;
    /* Margin bottom by footer height */
    margin-bottom: 28px;
}

.footer {
  /*position: absolute;
  bottom: 0;*/
  width: 100%;
  /* Set the fixed height of the footer here */
  height: 28px;
  background-color: #f5f5f5;
}

/* die Fußzeilenelemente nebeneinander anordnen*/
.footer {
    margin-top: 1em;
}

.footer .container {
    text-align: right;
    padding-right: 1.5em;
}
.footer p {
    display: inline-block;
}
.footer p:first-of-type {
    float: left;
}
.footer p:not(:first-of-type) {
    margin-left: 1em;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.navbar {
    border-bottom: 2px solid black;
}

.navbar .container {
    background-color: white;
}

.navbar_small {
    display: inline-block;
}
.smallHeaderContainer {
    font-size: 0.8em;
}

.smallHeaderContainer .navbar-text {
    margin-top: 6px;
    margin-bottom: 3px;
    display: inline-block;
    float: none !important;
}

.smallHeaderContainer .nav {
    margin-top: 3px;
}

.smallHeaderContainer .nav li a {
    padding: 5px 8px;
}

.navbar_small {
    margin-bottom: 10px;
    min-height: 30px;
}

.row-menubuttons {
    padding-top: 15px;
    padding-bottom: 15px;
}

.row-menubuttons .btn-group {
    margin-bottom: 20px;
}
.row-menubuttons a.btn {
    margin-bottom: 20px;
}

.row-menubuttons .btn-group a.btn {
    margin-bottom: 0px;
}

#BasisStatusIDList .list-group-item ,
#ObjektTypIDList .list-group-item ,
#ObjektGruppeIDList .list-group-item ,
#ChangedColumnIDList .list-group-item {
    padding: 1px;
}

.list-group-item-small {
    padding: 1px;
}

.import-colMatch {
    color: green;
}

.import-colNoMatch {
    color: red;
}

.import-cellValid {
    color: green;
}
.import-cellInvalid {
    color: red;
    font-weight: bold;
    background-color: yellow;
}

#importResultData {
    border: 1px solid black;
    font-size: 0.9em;
}
#importResultData thead {
    border: 2px solid black;
}

#importResultData td {
    border: 1px solid black;
}

#importResultData th {
    border: 1px dotted black;
}

#importResultData tr.import-rowData:nth-child(2n+1) {
    background-color: white;
}
#importResultData tr.import-rowData:nth-child(2n) {
    background-color: #cceeff;
}

#importResultData tr.import-rowEdit {
    border: 2px solid orange;
}

tr.import-rowEdit label {
    color: black;
}

tr.import-rowEdit textarea {
    width: 25em;
    height: 5em;
    background-color: beige;
    color: black;
}

tr.import-rowEdit input[type=text] {
    width: 20em;
    background-color: beige;
    color: black;
}

tr.import-rowEdit select {
    background-color: beige;
    color: black;
}

#importResultData .imageUpload .imageDropZone {
    border: 2px dotted red;
    min-width: 150px;
    max-width: 258px;
    max-height: 208px;
    min-height: 50px;
    padding: 2px;

    background-image: url('../Images/FileDropBack.png');
    background-position: center;
    background-repeat: no-repeat;
}

#importResultData .imageUpload .imageDropZone img {
    max-width: 250px;
    max-height: 200px;
}
#importResultData .imageUpload .imageDropZone span {
    font-size: 1.1em;
    font-weight: bold;
    /*text-align: center;
    margin-top: 10px;*/
}

#importResultData .isDragging {
    background-color: lime;
}

/*.btnDelete {
    width: 30px;
    height: 30px;
    background-image: url('Icons/Trash.png');
    background-position: 2px 2px;
    background-repeat: no-repeat;
}*/

.btnBase {
    width: 30px;
    height: 30px;
    background-position: 2px 2px;
    background-repeat: no-repeat;
}
.btnBaseSmall {
    width: 22px;
    height: 22px;
    background-position: 2px 2px;
    background-repeat: no-repeat;
}

.btnDelete {
    background-image: url('Icons/Trash.png');
}
.btnDeleteSmall {
    background-image: url('Icons/Trash16.png');
}

.btnApply {
    background-image: url('Icons/Apply.png');
}
.btnApplySmall {
    background-image: url('Icons/Apply16.png');
}
.btnCancel {
    background-image: url('Icons/Cancel.png');
}
.btnCancelSmall {
    background-image: url('Icons/Cancel16.png');
}

.btnEdit {
    background-image: url('Icons/Modify.png');
}
.btnEditSmall {
    background-image: url('Icons/Modify16.png');
}
.btnAddNew, .btnCreateNew {
    background-image: url('Icons/Create.png');
}
.btnAddNewSmall {
    background-image: url('Icons/Create16.png');
}
.btnDownload {
    background-image: url('Icons/Download.png');
}
.btnFirst {
    background-image: url('Icons/First.png');
}
.btnLast {
    background-image: url('Icons/Last.png');
}
.btnForward {
    background-image: url('Icons/Forward.png');
}
.btnBackward {
    background-image: url('Icons/Back.png');
}
.btnUpload {
    background-position-x: 4px;
    background-position-y: 4px;
    background-image: url('Icons/Upload.png');
    background-repeat: no-repeat;
    padding-left: 32px;
}

.btnUpdate {
    background-image: url('Icons/Info.png');
}
.btnSave {
    background-image: url('Icons/Save.png');
}
.btnLink {
    background-image: url('Icons/Modify.png');
}
.dbbtnRemoveFilter, .dbbtnRemoveSort
{
    width: 10px;
    height: 17px;
    padding: 6px 7px;
    background-position: 0 0;
    background-repeat: no-repeat;
    background-image: url('Icons/Close16.png');
}

.dbbtnClearFilter, .dbbtnClearSort {
    width: 10px;
    height: 17px;
    padding: 6px 7px;
    background-position: 0 0;
    background-repeat: no-repeat;
    background-image: url('Icons/Close16.png');
}

.dbLockBtn {
    background-position-x: 4px;
    background-position-y: 4px;
    background-image: url('Icons/Lock.png');
    background-repeat: no-repeat;
    padding-left: 32px;
}

.dbLockBtn:disabled {
    background-image: url('Icons/Modify.png');
}

.dbLockBtnSmall {
    background-position-x: 6px;
    background-position-y: 6px;
    background-image: url('Icons/Lock16.png');
    background-repeat: no-repeat;
    padding-left: 26px;
}

.dbLockBtnSmall:disabled {
    background-image: url('Icons/Modify16.png');
}

.dbspanAutoSave {
    color: red;
    font-size: 0.8em;
}

.dbspanAutoSave.active {
    color: green;
    font-weight: bold;
}

.dbFilterNavSmall {
    font-size: 0.9em;
}

.iconInfo16 {
    width: 16px;
    height: 16px;
    display: inline-block;
    background-position: 0 0;
    background-repeat: no-repeat;
    background-image: url('Icons/Info16.png');
}
/*.tab-container {
}*/
.tab-content {
    border: 1px solid #ddd;
    border-top-color: transparent;
    padding: 5px;
}

.fields-select {
    height: 250px !important;
    width: 280px;
}
/*.fields-buttons-col input {
    text-align: center;
}*/

.long-select {
    width: 500px !important;
    max-width: 500px !important;
}

img.exponatThumbnail {
    max-height: 100px;
    max-width: 150px;
}

a.exponatDetails {
    cursor: pointer;
}

/* format labels in bold */
#exponatTabs .row .col-sm-4 {
    font-weight: bold;
}

#exponatTabs .row {
    margin-left: 0px;
    margin-right: 0px;
}
#exponatTabs .row:nth-child(2n) {
    background-color: #e9e9e9;
}
#exponatTabs .row:nth-child(2n) div {
    /*background-color: #e9e9e9;*/
}

/* column formatting for Leihgeber multi-selection filter */
@media (max-width: 767px) { /* bootstrap xs */
    .leihgeber-multi-filter {
        column-count: 1;
    }
}
@media (min-width: 768px) and (max-width: 991px) { /* bootstrap sm */
    .leihgeber-multi-filter {
        column-count: 2;
    }
}
@media (min-width: 992px) { /* bootstrap md & lg */
    .leihgeber-multi-filter {
        column-count: 3;
    }
}

.leihgeber-filter-item {
}

.filterWarning {
    font-weight: bold;
    color: red;
}

/* styles for the "dashboard" style  screens */

#dbEditArea .canFilter {
    /*background-color: palegreen;*/
    /*cursor: zoom-in;*/
    border-bottom-color: palegreen;
}

#dbEditArea .canNotFilter {
    /*background-color: wheat;*/
    border-bottom-color: paleturquoise;
}

#dbEditArea input,
#dbEditArea select,
#dbEditArea textarea {
    max-width: none;
}

#dbEditArea .form-control:not(textarea) {
    height: 26px;
    padding: 0px 4px;
}

#dbEditArea textarea.form-control {
    height: unset;
}

#dbEditArea .form-group {
    margin-bottom: 10px;
}

#dbEditArea .dbTabSection {
    min-height: 350px;
}

#dbEditArea .dbTabSection .tab-content {
    min-height: 280px;
}

#dbEditArea input[type="date"].form-control-inline {
    max-width: 130px;
}

#dbFilterResult {
    overflow-y: auto;
}

#dbFilterResult .filterResultList {
}

/*#dbFilterResult .filterResultList*/ .dbFilterResultItem {
    cursor: pointer;
}
/*#dbFilterResult .filterResultList*/ .dbFilterResultItem:hover {
    background-color: yellow;
}
/*#dbFilterResult .filterResultList*/ .dbFilterResultItemSelected {
    background-color: lightblue;
}

.import-upload input,
.import-upload select,
.import-upload textarea {
    max-width: none;
}

.form-control-inline {
    display: inline-block;
    width: unset;
    margin-left: 5px;
    margin-top: 4px;
}

.canFilter {
    /*background-color: lightgreen;*/
    /*cursor: zoom-in !important;*/
    /*cursor: zoom-in;*/
}

.canNotFilter {
    background-color: orange;
}

#dbFilterHandle {
    width: 20px;    /*15*/
    height: 70px;   /*50*/
    background-image: url("../Images/DBFilterHandle5.png"); 
    cursor: pointer; 
    z-index: 100; 
    position: relative; 
    left: -15px;
}

#dbFilterHandle_old {
    width: 15px; /*15*/
    height: 50px; /*50*/
    background-image: url("../Images/DBFilterHandle2.png");
    cursor: pointer;
    z-index: 100;
    position: relative;
    left: -15px;
}

#dbFilterColumn {
    border-right: solid 1px #eee;
}

.dbNoDataPlaceholder {
    width: 100%;
    min-height: 400px;
}

.dbNoDataPlaceholder .noDataContent {
    margin-top: 170px;

    text-align: center;
    font-size: 1.5em;
    font-weight: bold;
}

.topEditButtons {
    display: inline-block;
}

.topEditButtons .btn {
    margin-right: 5px;
}
.filterNavButtons {
    display: inline-block;
}
.bottomEditButtons .btn {
    margin-right: 5px;
}

.floatingNavButtons {
    position: fixed;
    top: 5px;
    right: 5px;

    z-index: 3000;
    background-color: white;
}

.control-label-exp {
    cursor: pointer;
}